Speechbase

Create rule

Adds a word-replacement rule to the specified dictionary and returns the created rule.

POST
/v1/pronunciation-dictionaries/{id}/rules

Adds a word-replacement rule to the specified dictionary and returns the created rule.

Authorization

bearerAuth
AuthorizationBearer <token>

API key

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/pronunciation-dictionaries/string/rules" \  -H "Authorization: Bearer $SPEECHBASE_API_KEY" \  -H "Content-Type: application/json" \  -d '{  "word": "string",  "replacement": "string"}'
{
  "id": "string",
  "dictionary_id": "string",
  "word": "string",
  "replacement": "string",
  "case_sensitive": true,
  "created_at": "string",
  "updated_at": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string"
}